%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
# Note that this is NOT a relocatable package

%define libgnomeui_version 2.4.0.1
%define libgtop2_version 2.0.5
%define libwnck_version 2.4.0.1
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define scrollkeeper_version 0.3.12

Summary: 	Simple process monitor
Name:  		gnome-system-monitor
Version: 	2.4.0
Release: 	2
Copyright: 	GPL
Group: 		Applications/System
Source: 	http://download.gnome.org/GNOME/pre-gnome2/sources/gnome-system-monitor/gnome-system-monitor-%{version}.tar.bz2

Patch0:		gnome-system-monitor-2.4.0-aix.patch
Patch1:		gnome-system-monitor-2.4.0-autotools.patch

BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	libgnomeui >= %{libgnomeui_version}
Requires: 	libgtop2 >= %{libgtop2_version}
Requires: 	libwnck >= %{libwnck_version}
PreReq:         scrollkeeper >= %{scrollkeeper_version}

BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgtop2-devel >= %{libgtop2_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}

%description
gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-system-monitor-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gnome-system-monitor-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
PATH=%{_bindir}:$PATH G_CHARSET_ALIAS=%{_libdir}/charset.alias make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
PATH=%{_bindir}:$PATH GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post
export PATH=%{_bindir}:$PATH
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%postun
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%files 
%defattr(-, root, system)
%doc AUTHORS COPYING NEWS README
%{_bindir}/gnome-system-monitor
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/pixmaps
%{_datadir}/omf
%{_datadir}/locale/*/LC_MESSAGES/gnome-system-monitor.mo

/usr/bin/*
